Loading...
Searching...
No Matches
OpenPri Class Reference
Inheritance diagram for OpenPri:
Collaboration diagram for OpenPri:

## Public Member Functions

| OpenPri (VPBREG &reg)
void | Reset (unsigned int port)
| Reset port to its default cold-start state.
void | SetCountry (int port, const Country *country)
| Configure the hardware for country on port of this board.
void | SetHookState (int port, HookState hookstate)
| Set the hook state of port.
void | PadTxFrame (int port)
| Pad a partial transmit frame for forwarding to the hardware.
void | WaitForTxEmpty (int port)
| Block until the transmit buffers for port are empty.
void | UNListen (unsigned int port)
| Remove a half duplex bridge or full duplex tap from port.
int | chan_state (int ch)
int | chan_cinfo (int ch, VPB_CALL_INFO *info)
int | chan_cause (int ch)
int | call_proceeding (int ch)
int | chan_layer1 (int ch)
int | chan_transcap (int ch)
int | make_isdn_call_api (int ch, char *number, char *cid, int layer1, int transcap, unsigned char *lowlayercompatibility)
int | chan_lowlayercompatibility (int ch, unsigned char *lowlayercompatibility)
Public Member Functions inherited from HostDSP
| HostDSP (VPBREG &reg)
| Constructor.
virtual | ~HostDSP ()
| Destructor.
virtual void | SetPSImpedance (int port, int impedance)
| Override the default impedance for ProSLIC ports.
virtual void | SetVDAAImpedance (int port, int impedance)
| Override the default impedance for VDAA ports.
virtual void | SetFlashTime (int port, uint16_t min, uint16_t max)
| Configure the hook-flash detection window.
virtual float | GetHWPlayGain (unsigned int port)
virtual float | GetHWRecordGain (unsigned int port)
virtual void | TapListen (unsigned int port, unsigned int srcboard, unsigned int srcport)
| Create a full duplex tap to port of the audio from srcport on srcboard.

## Additional Inherited Members

Protected Member Functions inherited from HostDSP
| HostDSP (bool, VPBREG &reg)
| Bare bones constructor for hardware DSP implementations.
Protected Attributes inherited from HostDSP
VPBREG & | m_reg
| Reference to the `VPBREG` structure for this `HostDSP`.

## Member Function Documentation

## PadTxFrame()

void OpenPri::PadTxFrame | ( | int | port | ) |

virtual

Pad a partial transmit frame for forwarding to the hardware.

Implements HostDSP.

References HostDSP::m_reg.

## Reset()

void OpenPri::Reset | ( | unsigned int | port | ) |

inline virtual

Reset port to its default cold-start state.

Implements HostDSP.

## SetCountry()

void OpenPri::SetCountry | ( | int | port,
|  | const Country * | country )

virtual

Configure the hardware for country on port of this board.

Implements HostDSP.

References HostDSP::m_reg.

## SetHookState()

void OpenPri::SetHookState | ( | int | port,
|  | HookState | hookstate )

virtual

Set the hook state of port.

Implements HostDSP.

References HostDSP::m_reg, vpb_c, VPB_FASTOFFHOOK, VPB_OFFHOOK, and VPB_ONHOOK.

## UNListen()

void OpenPri::UNListen | ( | unsigned int | port | ) |

virtual

Remove a half duplex bridge or full duplex tap from port.

Reimplemented from HostDSP.

References HostDSP::m_reg.

## WaitForTxEmpty()

void OpenPri::WaitForTxEmpty | ( | int | port | ) |

virtual

Block until the transmit buffers for port are empty.

Implements HostDSP.

References HostDSP::m_reg.